package com.vendor.platform.ui;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.ui.PlatformUIActivator;
import com.vendor.platform.ui.WelcomeView;
import java.io.File;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.events.MouseListener;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Device;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Layout;
import org.eclipse.ui.forms.widgets.Hyperlink;
import org.eclipse.ui.forms.widgets.ImageHyperlink;

class ImageLink extends Composite {
  private WelcomeView.ToolModel toolModel;
  
  public ImageLink(Composite parent, int style, WelcomeView.ToolModel toolModel) {
    super(parent, style | 0x0);
    this.toolModel = toolModel;
    setLayout((Layout)new GridLayout(3, false));
    setLayoutData(new GridData(768));
    createControl_();
  }
  
  private void createControl_() {
    ImageHyperlink imageLabel = new ImageHyperlink(this, 0);
    imageLabel.setHoverImage(this.toolModel.getImage());
    imageLabel.setImage(this.toolModel.getImage());
    GridData gd = new GridData();
    gd.verticalSpan = 2;
    imageLabel.setLayoutData(gd);
    Hyperlink lnkColumn1 = new Hyperlink(this, 0);
    lnkColumn1.setLayoutData(new GridData(4, 4, false, true, 1, 1));
    lnkColumn1.setForeground(new Color((Device)Display.getDefault(), 0, 65, 107));
    lnkColumn1.setFont(PlatformUIActivator.getToolFont());
    lnkColumn1.setUnderlined(true);
    lnkColumn1.setText(this.toolModel.getToolName());
    if (this.toolModel.isExternalTool()) {
      File doc = this.toolModel.getDoc();
      if (doc != null && doc.exists() && doc.isFile()) {
        ImageHyperlink docLabel = new ImageHyperlink(this, 0);
        docLabel.setCursor(Display.getDefault().getSystemCursor(4));
        ImageDescriptor imageDescriptor = PlatformUIActivator.getImageDescriptor("icons/linkto_help.gif");
        if (imageDescriptor != null)
          docLabel.setImage(imageDescriptor.createImage()); 
        docLabel.addMouseListener((MouseListener)new Object(this, doc));
      } 
    } else {
      new Label(this, 0);
    } 
    Label desc = new Label(this, 0);
    desc.setLayoutData(new GridData(1, 1024, true, false, 2, 1));
    desc.setText(this.toolModel.getDescription());
    desc.setToolTipText(this.toolModel.getDescription());
    Object object = new Object(this);
    imageLabel.addMouseListener((MouseListener)object);
    lnkColumn1.addMouseListener((MouseListener)object);
  }
}
